'use client'
import ChatConfigContext, { LeftSidebarType } from "@/feature/messenger/context/ChatConfigContext";
import { File } from "react-feather";

export default function DocumentsButton() {
    const setLeftSidebar = ChatConfigContext(state => state.setLeftSidebar);

    const handleClick = () => {
        setLeftSidebar(LeftSidebarType.DOCUMENTS);
    }
    return (
        <button type="button" onClick={handleClick} className={
            `relative inline-flex items-center p-2.5 text-lg font-small text-center
                            text-gray-600 bg-gray-300 bg-opacity-70
                            rounded-full hover:bg-gray-400 focus:ring-4 
                            hover:text-white
                            focus:outline-none focus:ring-blue-300
                            dark:bg-white dark:hover:bg-gray-400 dark:focus:ring-blue-800
                            `
        }>
            <File size={26} />
        </button>
    )
}